.\"	$NetBSD: iee.4,v 1.4 2009/05/05 16:25:36 tsutsui Exp $
.\" Copyright (c) 2002 Jochen Kunz.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of Jochen Kunz may not be used to endorse or promote
.\"    products derived from this software without specific prior
.\"    written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY JOCHEN KUNZ
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL JOCHEN KUNZ
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.Dd May 5, 2009
.Dt IEE 4
.Os
.Sh NAME
.Nm iee
.Nd
.Tn Intel
.Tn i82596
10MBit/s
.Tn Ethernet
interface
.Sh SYNOPSIS
.Ss ews4800mips
.Cd iee* at sbdio?
.Ss hp700
.Cd iee* at gsc?
.Sh DESCRIPTION
The
.Nm
device provides access to the
.Tn Intel
.Tn i82596
10MBit/s
.Tn Ethernet
interface.
.Nm
supports IEEE 802.1Q Virtual LANs.
.Nm
operates the
.Tn i82596
in 32-Bit Linear Mode, opposed to
.Xr ie 4
that drives the
.Tn i82596
only in
.Tn i82586
compatibility mode.
.Sh HARDWARE
.Ss ews4800mips
The
.Nm
interface supports
.Tn Intel
.Tn i82596CA
based on-board Ethernet on EWS4800/350.
.Ss hp700
The
.Nm
interface supports
.Tn Intel
.Tn i82596DX
on ASP/ASP2 based machines and the
.Tn i82596CA
macrocell in LASI based machines.
GSC expansion cards may work, but are not tested.
Media selection on hp700 is done either manually via hardware
jumper or automatically depending on machine model.
.Sh DIAGNOSTICS
.Bl -diag
.It "iee%d: iee_intr: receive error %d, rfd_status=0x%.4x, rfd_count=0x%.4x."
An error during frame reception occurred.
The frame was dropped.
.It "iee%d: iee_intr: can't allocate mbuf."
.It "iee%d: iee_intr: can't alloc mbuf cluster."
A frame was received, but dropped due to lack of memory.
.It "iee%d: iee_intr: receive ring buffer overrun"
Many frames where received under high load and the receive ring buffer
was to small to store them all.
Frame reception was restarted from scratch.
Most likely there where frames lost.
.It "iee%d: iee_intr: scb_status=0x%x scb_cmd=0x%x faild command %d: cb_status[%d]=0x%.4x cb_cmd[%d]=0x%.4x"
A transmit or setup command was not executed successfully.
.It "iee%d: iee_intr: crc_err=%d"
Number of frames with a CRC error received.
.It "iee%d: iee_intr: align_err=%d"
Number of unaligned frames received.
.It "iee%d: iee_intr: resource_err=%d"
Number of good frames dropped because the receive ring buffer was full.
.It "iee%d: iee_intr: overrun_err=%d"
Number of frames lost because the system bus was not available for DMA.
.It "iee%d: iee_intr: rcvcdt_err=%d"
Number of collisions detected during frame reception.
.It "iee%d: iee_intr: short_fr_err=%d"
Number of frames received that where shorter then the minimum frame length.
.It "iee%d: iee_start: failed to load DMA map"
A
.Xr mbuf 9
chain with too many elements could not be setup for transmission.
The
.Xr mbuf 9
chain will be merged into a single
.Xr mbuf 9
cluster and retransmitted.
.It "iee%d: iee_start: can't allocate mbuf."
.It "iee%d: iee_start: can't load TX DMA map."
Said error occurred during merging the
.Xr mbuf 9
chain into a
.Xr mbuf 9
cluster.
The frame was dropped.
.It "iee%d: iee_init: can't create TX DMA map"
.It "iee%d: iee_init: can't allocate mbuf"
.It "iee%d: iee_init: can't allocate mbuf cluster"
.It "iee%d: iee_init: can't create RX DMA map"
.It "iee%d: iee_init: can't load RX DMA map"
There was no memory free to allocate resources when the operator
tried to bring the interface up.
The interface will not come up.
Try again later.
.It "iee%d: iee_watchdog: transmit timeout %d"
.It "iee%d: iee_watchdog: setup timeout %d"
The hardware didn't respond to a transmit or setup command within five seconds.
The interface will be reset and restarted.
.It "iee%d: iee_gsc_cmd: timeout n=%d"
Timeout at sending a channel attention command to the chip.
.It "iee%d: iee_gsc_reset timeout bussy=0x%x"
Timeout at resetting the chip.
Possible errors during
.Xr autoconf 4 .
.It "iee%d: iee_gsc_attach: can't map I/O space"
The driver failed to map the I/O ports of the chip.
The device will not be attached.
.It "iee%d: iee_gsc_attach: can't allocate %d bytes of DMA memory"
.It "iee%d: iee_gsc_attach: can't map DMA memory"
.It "iee%d: iee_gsc_attach: can't create DMA map"
.It "iee%d: iee_gsc_attach: can't load DMA map"
The driver failed to get the shared DMA memory for the chip.
The device will not be attached.
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr vlan 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
driver appeared in
.Nx 2.0 .
.Sh AUTHORS
.An Jochen Kunz
.Sh BUGS
None. ;-)
